<?php
require dirname(__FILE__) . '/../../autoload.php';

// Init du service
$service = new \SparkWebService(array('cache_wsdl' => WSDL_CACHE_NONE));

$token = 'test';

// Méthode GetOrder 
// Init des paramètres
// Init des paramètres

$date = new DateTime();
$dateFormat = $date->format('Ymd');
$publicKey = md5(uniqid('SparkWeb'));

$key = $token . $publicKey .  $dateFormat;
$hashkey = md5($key);

$WebOrderId = "WEB-77";


// Appel de la requête
$request = new \GetOrder($hashkey,$publicKey, $WebOrderId);

// Récupération de la réponse
$response = $service->GetOrder($request);
var_dump($response);